<!doctype html>
<html lang="en">
   <head>
      <!-- Required meta tags -->
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

      <!-- Bootstrap CSS -->
      <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

      <title>Simple Upload Form</title>
   </head>
   <body>
      <div class="row  justify-content-center">
         <div class="card" style="width: 75%;">
            <div class="card-header">
               <h5 class="card-body"> API for Notarization </h5>
            </div>
            <div class="card-body">
               <div class="mb-3">
                  <label for="routeType">Notarization Processing Routes: </label>
                  <select class="custom-select" name="routeType" id="routeType" onchange="changeRouteType()" required>
                     <option value="">--Please choose a route--</option>
                     <option value="compliance-certificate-credential">Compliance Certificate Credential</option>
                     <option value="notary-compliance-certificate-credential">Notary Compliance Certificate Credential</option>
                     <option value="third-party-compliance-certificate-credential">Third-Party Compliance Certificate Credential</option>
                     <option value="self-assessed-compliance-criteria-credential">Self-Assessed Compliance Criteria Credential</option>
                  </select>
                  <div class="invalid-feedback">Invalid route type</div>
               </div>
            </div>
         </div>
      </div>
      
      <br/>
      
      <div class="row justify-content-center">
         <div class="card" style="width: 75%;">
            <div class="card-header">
               <h5 id="h5route" class="card-body"> </h5>
            </div>
            <div class="card-body">
               <form class="was-validated" enctype="multipart/form-data" method="POST" action="/api/form-create-vc">
                  <div id="divFederation" class="mb-3">
                     <label for="federation">Federation Name</label>
                     <input type="text" class="form-control" name="federation" id="federation" placeholder="abc-federation" required>
                     <div class="invalid-feedback">Please enter a federation name</div>
                  </div>

                  <div id="divParticipant" class="mb-3">
                     <label for="participant">Participant Name</label>
                     <input type="text" class="form-control" name="participant" id="participant" placeholder="dufourstorage" required>
                     <div class="invalid-feedback">Please enter a participant name</div>
                  </div>

                  <div id="divCertificationType" class="mb-3">
                     <label for="certificationType">Certification Type</label>
                     <select class="custom-select" name="certificationType" id="certificationType" required>
                        <option value="">--Please chose a certification type--</option>
                     </select>
                     <div class="invalid-feedback">Invalid certification type</div>
                  </div>
                  
                  <div id="divPdf" class="mb-3">
                     <label for="file"> PDF Document </label>
                     <input type="file" class="form-control" name="file" id="file" required/>
                     <div class="invalid-feedback">Invalid file</div>
                  </div>

                  <div id="divCertificationCredential" class="mb-3">
                     <label for="certificationCredential"> Certification Credential Json </label>
                     <textarea class="form-control" name="certificationCredential" id="certificationCredential" rows="10"></textarea>
                     <div class="invalid-feedback">Invalid Json</div>
                  </div>
                  
                  <div id="divQuestionnaire" class="mb-3">
                     <label for="questionnaire"> Questionnaire Json Object (array) </label>
                     <textarea class="form-control" name="questionnaire" id="questionnaire" rows="10"></textarea>
                     <div class="invalid-feedback">Invalid Json</div>
                  </div>

                  <div id="divServiceOffering" class="mb-3">
                     <label for="serviceOffering"> ServiceOffering Json or ServiceOffering DID </label>
                     <textarea class="form-control" name="serviceOffering" id="serviceOffering" rows="10"></textarea>
                     <div class="invalid-feedback">Invalid Json or DID</div>
                  </div>

                  <div class="mb-3">
                     <!--<button type="submit" class="btn btn-primary">Form Submit</button>-->
                     <button type="button" id="sendButton" class="btn btn-primary">API Submit</button>
                  </div>

                  <div class="mb-3">
                     <pre id="success" style="background-color:green;"></pre>
                     <pre id="error" style="background-color:red;"></pre>
                     <p id="b64file" hidden></p>
                  </div>
               </form>
            </div>
         </div>
      </div>
   
      <!-- jQuery first, then Popper.js, then Bootstrap JS -->
      <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
      <script>
         const complianceReferences = [
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/eadb3caf3e2861baa444172d7b07d0c224a30278d06b28b3be14a44f1e62455a/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.sap.com/dmc/exp/2018_Partner_Guide/#/",
            "title": "SOC type I",
            "type": "Security",
            "valid_from_date": "2021-10-01T00:00:00",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/a64d4df83757fed081be3ce2bdcaa8b362b341c64cb7ad97b935cc6a8c54dc25/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.iso.org/fr/standard/54534.html",
            "title": "ISO 27001",
            "type": "Security",
            "valid_from_date": "2022-06-20T00:00:00",
            "version": "2013"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/e0423237acdcb2844f0db3c688353be38e04dc1078ce200a06d94f74f40e1641/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/10/SWIPO-IaaS-Code-of-Conduct-version-2020-27-May-2020-v3.0.pdf",
            "title": "SWIPO IaaS CoC",
            "type": "Data Porting",
            "valid_from_date": "2021-05-10T00:00:00",
            "version": "2020 v 3.0"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/130da62257e4bbd81953921c6489483f02b980c3c9d59192dd9e773e03510f6b/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.gsma.com/security/security-accreditation-scheme/",
            "title": "GSMA",
            "type": "Security",
            "valid_from_date": "2021-11-03T00:00:00",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/c71e0eb57d8c8f5d76b52863eb44486ef3d0f3af88fa733114e0b79dc4df68b8/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://cloudsecurityalliance.org/star/",
            "title": "CSA STAR Level 2",
            "type": "Security",
            "valid_from_date": "2022-06-20T00:00:00",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/746fad11931fb8deb40c805047f0bebd9f62b1b3510c2d3582ba4d522ca0c774/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://cloudsecurityalliance.org/star/",
            "title": "C5 type I",
            "type": "Security",
            "valid_from_date": "2021-10-01T00:00:00",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/9f7358271e3a18320a7b9237397a34f5386dd7c2b6e3499eac0fafa26fffa322/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://portal.enx.com/en-US/TISAX/",
            "title": "TISAX",
            "type": "Security",
            "valid_from_date": "2022-06-30T00:00:00",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/07b150246f42ef2e8a4401d9651aaf6a1a592f9c81409620fb04d05b5faafb3d/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://irideos.it/app/uploads/2021/08/ISO-45001-10000466340-MSC-ACCREDIA-ITA-1-it-IT-20210802-20210802144848.pdf",
            "title": "ISO 45001",
            "type": "Other",
            "valid_from_date": "2018-08-10T00:00:00",
            "version": "2018"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/3aec405b2a8efc4791459f5cf913ed6f8f976bb692d511cfffe328cdb6161a51/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://cloudsecurityalliance.org/star/",
            "title": "CNDCP",
            "type": "Climate Neutrality",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/b5dd891e19da8e0da5fc84004cd684debad35e8679d47b4ca8c71dd8968d6490/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.nen.nl/en/nen-7510-1-2017-a1-2020-nl-267179",
            "title": "NEN 7510",
            "type": "Security",
            "valid_from_date": "2021-12-31T00:00:00",
            "version": "2017"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/b5dd891e19da8e0da5fc84004cd684debad35e8679d47b4ca8c71dd8968d6490/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "Certification for the Dutch Healthcare Sector: https://www.nen.nl/en/nen-7510-1-2017-a1-2020-nl-267179",
            "title": "NEN 7510",
            "type": "Security",
            "valid_from_date": "2021-12-31T00:00:00",
            "version": "2017"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/6187384be8a745676a184c9f3b6960be6769378c3d5bd9085f38000374bfe862/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://administracionelectronica.gob.es/pae_Home/pae_Estrategias/pae_Seguridad_Inicio/pae_Esquema_Nacional_de_Seguridad.html?idioma=en#.VwvcgmmcGM9",
            "title": "ENS  Espana (Royal Decree 3/2010)",
            "type": "Security",
            "valid_from_date": "2021-06-01T00:00:00",
            "version": "High"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/56df56efab461c292fc2404234a7f78cecfec194664b5e2f832477866bf9c69a/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.ssi.gouv.fr/uploads/2014/12/secnumcloud-referentiel-exigences-v3.2.pdf",
            "title": "SecNumCloud",
            "type": "Security",
            "valid_from_date": "",
            "version": "3.2"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/712257bdcff2a50d82a98eee5535e983622573951aeb78ca31910c8a1a2157cd/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://cloudsecurityalliance.org/artifacts/cloud-controls-matrix-v4/",
            "title": "SecNumCloud",
            "type": "Security",
            "valid_from_date": "",
            "version": "3.1"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/64e47b94929a4070aaa260883c1e606ba2550cb78b6ef40efb9e2df535eb82c7/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.iso.org/fr/standard/43757.html",
            "title": "ISO 27017",
            "type": "Security",
            "valid_from_date": "2022-06-20T00:00:00",
            "version": "2015"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/b81f265a54e4dc72b734a9969ba8dee99c8f2e5c8005351be229058df8c876cf/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.iso.org/fr/standard/71670.html",
            "title": "ISO 27701",
            "type": "Data Protection",
            "valid_from_date": "2022-06-20T00:00:00",
            "version": "2019"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/09b10f66a0992532f858b1d25c5d7215d41cbe4b0b906fafa4dbcc6a1efd9864/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://irideos.it/app/uploads/2022/06/CERT-2022-Irideos-Avalon12..pdf",
            "title": "PCI-DSS",
            "type": "Security",
            "valid_from_date": "2022-05-31T00:00:00",
            "version": "3.2.1"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/931f9e072adb931529aafbc4b3fc6e132991c80a103339145d72d59f6c918d6a/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.kyberturvallisuuskeskus.fi/sites/default/files/media/file/PiTuKri_v1_1_english.pdf",
            "title": "PiTuKri ISAE 3000 Type II",
            "type": "Security",
            "valid_from_date": "2020-10-01T00:00:00",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/85b2f8d34b674daaa138a9fef698e86f3b5ee44803213b6610f74f069fd84bfe/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.ncsc.gov.uk/cyberessentials/overview",
            "title": "Cyber Essentials Plus Certification",
            "type": "Security",
            "valid_from_date": "2022-04-12T00:00:00",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/b99fce61774186fe31ad64f1ad1f66100244a14f3e0fb8edd57a6a202b27730e/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.codeofconduct.cloud/wp-content/uploads/2022/01/CISPE-Cloud-Data-Protection-Code-of-Conduct-DIGITAL.pdf",
            "title": "CISPE Data Protection CoC",
            "type": "Data Protection",
            "valid_from_date": "2022-02-02T00:00:00",
            "version": "09/02/2021"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/28c31a191bb283212c4fc0969b848c452bd8902fa3681617be82e176e7617eea/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://cloudsecurityalliance.org/star/",
            "title": "Fair Software Licensing",
            "type": "Fair Practices",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/37c3ba09e8895e1a22b44d4602b925adf653616ce8c4a08c346c54e257a793c4/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.iso.org/standard/62085.html",
            "title": "ISO 9001",
            "type": "Other",
            "valid_from_date": "2021-10-21T00:00:00",
            "version": "2015"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/e92f3ee042a5456074911c43a1643124928a932853ab48d979451a6ea44403bf/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://irideos.it/app/uploads/2021/08/ISO-14001-10000465779-MSC-ACCREDIA-ITA-2-it-IT-20210729-20210729155956.pdf",
            "title": "ISO 14001",
            "type": "Climate Neutrality",
            "valid_from_date": "2018-08-10T00:00:00",
            "version": "2015"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/52adfb5e934f441e1ad23168d8861c89c311cf2bf0b0615cf2d13ddb8680fce4/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://esante.gouv.fr/sites/default/files/media_entity/documents/hds_referentiel_de_certification_v1.1f_mai2018.pdf",
            "title": "HDS-FR",
            "type": "Security",
            "valid_from_date": "2022-06-30T00:00:00",
            "version": "1.1 finale"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/0b078a24a98dc7e9e21f3c02249521d74c03fd6606f17b99798788342e2703ce/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.sap.com/dmc/exp/2018_Partner_Guide/#/",
            "title": "C5 type II",
            "type": "Security",
            "valid_from_date": "2021-10-01T00:00:00",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/d0237a154fc61d8e186dcb00c6b2d3c366295b1d8895a6e14d84b14d8ce79074/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.sap.com/dmc/exp/2018_Partner_Guide/#/",
            "title": "SOC type II",
            "type": "Security",
            "valid_from_date": "2021-10-01T00:00:00",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/704c112f9e3d4f61d4823374ac078c6a8b51b92dd3cd55fab481afdabeed6339/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://irideos.it/app/uploads/2022/02/IEC-20001.pdf",
            "title": "ISO 20000",
            "type": "Other",
            "valid_from_date": "2018-11-19T00:00:00",
            "version": "2018"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/ac18c7994d63ac5abdb4dba038e89b008884cc4170f17d062c5ed906a7d960b0/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://cloudsecurityalliance.org/artifacts/cloud-controls-matrix-v4/",
            "title": "CSA STAR type II",
            "type": "Security",
            "valid_from_date": "2022-06-20T00:00:00",
            "version": "v4"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/29ce74599c9ccc6bc263828f05cbc6037352d368b01f74c8e3f6b966c878b029/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.iso.org/standard/62085.html",
            "title": "PCI_DSS_Level1",
            "type": "Security",
            "valid_from_date": "2022-07-24T00:00:00",
            "version": "3.2.1"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/ab46ab63e9c719b636b6e4f4cf74dcf569aa3ab941e5827c336e32ecc6cc5f8e/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.iso.org/fr/standard/76559.html",
            "title": "ISO 27018",
            "type": "Data Protection",
            "valid_from_date": "2022-06-20T00:00:00",
            "version": "2019"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/6b10b50424947bb70b91c36ade5d1dbe800d95e693a968dcea6c6a63cf1d6a1e/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.iso.org/standard/62085.html",
            "title": "ENS",
            "type": "Security",
            "valid_from_date": "2022-07-05T00:00:00",
            "version": "03 / 2010"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/2556caf4d2f41bd8d5e82aaa20f2c0cd7c9015a91b7def26f2e4a579e7c2ef33/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.sap.com/dmc/exp/2018_Partner_Guide/#/",
            "title": "SAP : cloud and infrastructure",
            "type": "Other",
            "valid_from_date": "",
            "version": "2018"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/f424a74df473be0599aa5823b8712cca6975d6b0427a0386c691dc349ba0397e/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://cloudsecurityalliance.org/star/",
            "title": "CSA STAR type I",
            "type": "Security",
            "valid_from_date": "2022-06-02T00:00:00",
            "version": "v4"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/8a910417c60f2ed01614baa43f48b8cdaba70a1d7b0e3a1534bb3b7e5c5f78f2/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.iso.org/fr/standard/69426.html",
            "title": "ISO 50001",
            "type": "Climate Neutrality",
            "valid_from_date": "2022-09-01T00:00:00",
            "version": "2018"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/0afb8e8906332cdd7f06dab3fb3fde41e7bc4b67b16d1d51753c4f940c234dc6/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://eucoc.cloud/en/home",
            "title": "EU CoC",
            "type": "Data Protection",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/62f0dc1e054be760458dfe01c7da2b3229dd42422557a1188b9861fb956df630/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "SWIPO SaaS Code",
            "type": "Data Porting",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/69666e7dbed1c643a5cae7b5d2a893935ec1e5cf069258edd4730353d46119d7/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "EN 319421",
            "type": "Security",
            "valid_from_date": "",
            "version": "v1.1.1"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/a7754ce14597bcd77367c6ce081df641777c51a05972d2270666457da566d164/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "EN 319411-1",
            "type": "Security",
            "valid_from_date": "",
            "version": "v1.3.1"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/c7000c6172f3acaf5da6bec708a789fde1c391288fc4921a2e54900a9fb5782c/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "ETSI 319411-2",
            "type": "Security",
            "valid_from_date": "",
            "version": "v2.3.0"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/ea73ad7ebe246214d17e8da88a8ea886a7f400c8081d1d64b7320afefdcffcf2/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "eIDAS QCP-l-qscd",
            "type": "Security",
            "valid_from_date": "",
            "version": "v1.0"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/31d4e2300a762de76eb9d3d5885f3854d4a8a0e37163de0b69bc2a46ea370928/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "EN 319401",
            "type": "Security",
            "valid_from_date": "",
            "version": "v2.3.1"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/71c530a86c3da8823afc304254ce181c234a59ed14f99cbe597a4fa100bfce17/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "eIDAS QCP-n-qscd",
            "type": "Security",
            "valid_from_date": "",
            "version": "v1.0"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/db38a4b64481cb260a68470a7473b499c5e5a5bda39f01a11630f23cb29724e7/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "Label LUCIE 26000",
            "type": "",
            "valid_from_date": "",
            "version": "2019"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/db38a4b64481cb260a68470a7473b499c5e5a5bda39f01a11630f23cb29724e7/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "Label LUCIE 26000",
            "type": "Climate Neutrality",
            "valid_from_date": "",
            "version": "2019"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/75342ca7142f2fb83553af1da4fe6dba8cc281460f35139b98c766499c1ea13b/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "Tier III Certification",
            "type": "",
            "valid_from_date": "2020-02-29T00:00:00",
            "version": "TIER III DESIGN"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/111c8f0584802e1355038db2db95b2924ce042e2f7e7a2178b576ad9c79e9772/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "ISO 14064-1:2018",
            "type": "",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/5058e61b60dfe445c9d71e9dcb78220990f622da8102ed387dddb91e64a66ab5/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.sap.com/dmc/exp/2018_Partner_Guide/assets/files/52016_SAP_Outsourcing_Operations_Certs_enUS_V70a.pdf",
            "title": "SAP : SAP Hana Operations",
            "type": "",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/f1b57017313c9b6370a58b595f4a3e083925eeaa43a07042273c8ab24238e272/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.sap.com/dmc/exp/2018_Partner_Guide/assets/files/52016_SAP_Outsourcing_Operations_Certs_enUS_V70a.pdf",
            "title": "SAP : Hosting Operations",
            "type": "",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/e67f613ad1cb90937107e63056b41ddd045f36b7c06a904a90b6fa33f9ede80d/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "AENOR E-commerce good practices",
            "type": "",
            "valid_from_date": "2022-07-02T00:00:00",
            "version": "BCP-2002/004"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/3cc739ff397a150384b8c36994bfdbad3bbb73881167b8dc45e08aae1f322b01/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.vmware.com/vmware-cloud-verified.html",
            "title": "Vmware cloud verified",
            "type": "",
            "valid_from_date": "2020-01-01T00:00:00",
            "version": "v1"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/200da82394c0813cbe8e2489a76bc8bde4a9bb91cca7d56e2864aa81a46c1f49/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.iso.org/standard/75106.html",
            "title": "ISO 22301",
            "type": "2019",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/1f0f97b37c06f326911e21048a9327cfdf4e4c053a95f53aa7868ff9217a23d9/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.vmware.com/nl/partners/work-with-vmware/partner-connect/principal-partners.html",
            "title": "Vmware principal partner",
            "type": "",
            "valid_from_date": "2020-01-01T00:00:00",
            "version": "v1"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/bdb6509e4c459d8027fe8b08fc52c5b6b62702b70080f0527d64c12203afc4e4/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://energie.wallonie.be/fr/les-accords-2014-2020-2023.html?IDC=7863",
            "title": "Climate Neutral Data Center Pact",
            "type": "",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/ab3034f24ec828e977001b8af3f55e9d0a59525a69f2879b87c4b55c7f706f9e/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "Esquema Nacional de Seguridad (ENS)",
            "type": "",
            "valid_from_date": "2022-03-17T00:00:00",
            "version": "RD 3/10, Categoria MEDIA"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/79826ee579726d553e5faa093499a6ba23988e1bc1d0c2fabd9b49e14f6f48b7/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "ISO 22301:2019",
            "type": "",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/8bdf6baa7487c4906b17fb5d639e07d27dce1479c2f681691b071a6668dd3e6d/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "Tier IV Design & Construction - Uptime Institute",
            "type": "",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/67d9218cf2d0227272826e5eec05191f2114d8b193eb5614ab74f52c7e233e7d/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.ifac.org/system/files/publications/files/ISAE%203000%20Revised%20-%20for%20IAASB.pdf",
            "title": "ISAE 3000 type II",
            "type": "",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/18e96e8878cb866eabf9c6d26d1573191f07a33f205920ae9dc884c6cd454889/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.sap.com/dmc/exp/2018_Partner_Guide/assets/files/52016_SAP_Outsourcing_Operations_Certs_enUS_V70a.pdf",
            "title": "SAP : Partner Center of Expertise",
            "type": "",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/ca91f932d8abf2c54c2e26b673c5f76b2ec768f817a6649c3f1d2b4221ff78f9/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "ANSI-TIA 942-A Rated 4;",
            "type": "",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/9e8ce483e9b00909d72da7bf8d46d3a2014049c04cedcba41928cf8ecabda0bf/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "100% Renewable energy",
            "type": "",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/099701972e32e7d1c1526d1f7cb812aaffe32a75d442861bf67fb82b51cf00a4/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.iso.org/standard/75106.html",
            "title": "IT-Grundschutz",
            "type": "",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/90a7a8a1705c58081ccc8a610e3d116a76af53976d7be1e85809bb664f40a33f/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "Compliance with GRPD",
            "type": "",
            "valid_from_date": "2021-04-20T00:00:00",
            "version": "EU 2016/679"
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/646133ee274ec65d0efc2dd38fda982453c4d46926fb66b0dda958354b04a359/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://swipo.eu/wp-content/uploads/2020/07/SWIPO-SaaS-Code-of-Conduct.pdf",
            "title": "ISO 27035-1/2/3",
            "type": "",
            "valid_from_date": "",
            "version": ""
            },
            {
            "compliance_ref_did": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/compliance-reference/25d3551084c7ca8f26107a7386f5b19e09393a5ebd98a0dca0d7af179bc54c36/data.json",
            "compliance_reference_manager": "did:web:abc-federation.gaia-x.community:participant:8121245b25bda4bd0eac915fc50319f9752d6d2e9eb4a16c7bf76dcc67c0eda3/data.json",
            "reference_url": "https://www.veeam.com/propartner.html",
            "title": "Veeam Gold Partner",
            "type": "",
            "valid_from_date": "2020-01-01T00:00:00",
            "version": "v1"
            }
         ]
         const questionnaire = [
               {
                  "name": "Criterion 1.1.1",
                  "description": "The provider shall offer the ability to establish a legally binding act. This legally binding act shall be documented",
                  "category": "Contractual governance",
                  "value": true,
                  "id": "did:web:gaia-x.community/compliance-criterion/b272ac3eba05f1b37802818a46eff6b6c5edb34df2dfa54430519752d5aafa63/data.json, did:web:gaia-x.community/compliance-criterion/99127352038197c80d2a2dd8a79b3ea576a71904b4e14a2a1cbee311dade8f72/data.json, did:web:gaia-x.community/compliance-criterion/b628c61b61bf5ea54c76d97913f30a7b249cac68df2ccc428593838cc4ddebe8/data.json"
               },
               {
                  "name": "Criterion 1.1.2",
                  "description": "The provider shall have an option for each legally binding act to be governed by EU/EEA/Member State law",
                  "category": "Contractual governance",
                  "value": true,
                  "id": "did:web:gaia-x.community/compliance-criterion/ea307320071d2c97ba1fc264ac2b57fd571a30fd4bc08b85139ca3256a726b97/data.json, did:web:gaia-x.community/compliance-criterion/996d747c5c86cdda911eb524b584e4609262787ca202a2aca9e56b6ebe6fd9ef/data.json, did:web:gaia-x.community/compliance-criterion/7f8531d43f662c8340090b817e40d1c37f5ea99781fc7ac3dc970937ab6f752a/data.json"
               },
               {
                  "name": "Criterion 1.1.3",
                  "description": "The provider shall clearly identify for which parties the legal act is binding",
                  "category": "Contractual governance",
                  "value": true,
                  "id": "did:web:gaia-x.community/compliance-criterion/2ee23dc8f147f6e8e5707f92161b2695d25c2571af06f832d55eb3dcd01109ca/data.json, did:web:gaia-x.community/compliance-criterion/24339da30191ca31a0b505570119f50acb3567c4083cc98762c3375575589516/data.json, did:web:gaia-x.community/compliance-criterion/a5ad1d8a9f50565e6bb1ead2dd35414930aff9b601423625ef88db452ccb1c46/data.json"
               },
               {
                  "name": "Criterion 1.1.4",
                  "description": "The provider shall ensure that the legally binding act covers the entire provision of the service offering",
                  "category": "Contractual governance",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/362213edf62b155d61e6d72c0dde5d7a01b982218eb5a2b00e7b1bb6015dee98/data.json, did:web:gaia-x.community/compliance-criterion/60fa3eb419b59b4a268f23f3a91edc6531cb6bf27271040c4071b006dc381add/data.json, did:web:gaia-x.community/compliance-criterion/5ed119518c1238b9e1c02f3710fc70aba5407106a8738be9b731eb009493187d/data.json"
               },
               {
                  "name": "Criterion 1.2.1",
                  "description": "The provider shall ensure there are specific provisions regarding service interruptions and business continuity (e.g., by means of a service level agreement), provider's bankruptcy or any other reason by which the provider may cease to exist in law",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/66d463e6c7a02f666ec1676401ce9cedac39dd6c06dd445f683416dbd746dd24/data.json, did:web:gaia-x.community/compliance-criterion/12786499ea0ca33604e67162e258437c6e3e46dc2054ffe87db6578b8956d029/data.json, did:web:gaia-x.community/compliance-criterion/1f2872e3642e6d616bf6af0a3f4c14ef6ca6111e6854184cfbf3cb4ef88a15d5/data.json"
               },
               {
                  "name": "Criterion 1.2.2",
                  "description": "The provider shall ensure there are provisions governing the rights of the parties to use the service and any data therein",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/c202543b66439f16590c370bc59d1177929720aceb534773a4c4cef4068d57e6/data.json, did:web:gaia-x.community/compliance-criterion/1df51e3055940bad2b48205d85db6fc7968af811ce74a9383a99dd9bef548340/data.json, did:web:gaia-x.community/compliance-criterion/d36f07d0d2cab49f3f65ae073a2188825701cfdac3474cf29178a3b9aaf33aa2/data.json"
               },
               {
                  "name": "Criterion 1.2.3",
                  "description": "The provider shall ensure there are provisions governing changes, regardless of their kind",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/d1036d31edf088614132cc92334be0f6a8d274135e1dd140d20984a3735c26c6/data.json, did:web:gaia-x.community/compliance-criterion/c754817b22a03a60efc60569ef8cf483fbf0df402d1f72c863967ab393e9b3af/data.json, did:web:gaia-x.community/compliance-criterion/14cc656193a13059ce8f396e8390363e2a06e80782fd9c9920ad8a990eae6572/data.json"
               },
               {
                  "name": "Criterion 1.2.4",
                  "description": "The provider shall ensure there are provisions governing aspects regarding copyright or any other intellectual property rights",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/10e1999e6107d991f3251a57252ca95b7564d7817f34ffcdb2520a1939746749/data.json, did:web:gaia-x.community/compliance-criterion/f9e29c6c6df88fc8e9919e7ff519eb3b1672e0518f78184fe7e9a9bfc4517520/data.json, did:web:gaia-x.community/compliance-criterion/62118daa66dec6045b47734998f44ef24f2962683ebc9a481d5ce9669071f38c/data.json"
               },
               {
                  "name": "Criterion 1.2.5",
                  "description": "The provider shall declare the general location of physicals Resources at urban area level.",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/48d3882796b0aea8e795a8166c2474596c8a1508db300629ed2f74183dd54f3c/data.json, did:web:gaia-x.community/compliance-criterion/fe75fa286fc83bd1a50514d1edbf2d3b6e98e1b071f53ee8e8f918dfb1a05960/data.json, did:web:gaia-x.community/compliance-criterion/3cb671f9bb51069b27ff31208025553f6386e7d37a7429dd058a9b5924fe64fc/data.json"
               },
               {
                  "name": "Criterion 1.2.6",
                  "description": "The provider shall explain how information about subcontractors and related data localisation will be communicated",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/06c2146bab4a4f6855c1937a6b3dfc7e3624801c34885fe65194687eeb39597c/data.json, did:web:gaia-x.community/compliance-criterion/b35a4475d047e9543ce235c43ab3ea819376ee344d8f6d03cead909b9e40c7ae/data.json, did:web:gaia-x.community/compliance-criterion/958b517ec144386f06c238dfafa801a4e719807da0a261ecdb1546cd1246a16c/data.json"
               },
               {
                  "name": "Criterion 1.2.7",
                  "description": "The provider shall communicate to the customer where the applicable jurisdiction(s) of subcontractors will be",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/5c6c37938ccec54ddbe569d1e429658d7c3a86b3cb91f5d7b9fa81b61efe6eba/data.json, did:web:gaia-x.community/compliance-criterion/a664a263aca29c6562667950df49efac86ea9fa3d054fbd358699033c62d94ab/data.json, did:web:gaia-x.community/compliance-criterion/4198adc5ab6c60d67a4ea370be38d1bd650b442b2a8e04b462fe0f1f30230d73/data.json"
               },
               {
                  "name": "Criterion 1.2.8",
                  "description": "The provider shall include in the contract the contact details where customer may address any queries regarding the service offering and the contract",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/f87c5f3a48b61698cdfb19f91c328249d93a828b6ad697f9604a9e9c24ae844d/data.json, did:web:gaia-x.community/compliance-criterion/9975196b786b14f3992114e5e1f1cd35befdb5e7fa439e2f94bef927f328ac49/data.json, did:web:gaia-x.community/compliance-criterion/fbedad10c6aedc594f3bb8cfc3f490de451de172b5884e4ac9de239d1cf43da8/data.json"
               },
               {
                  "name": "Criterion 1.2.9",
                  "description": "The provider shall adopt the Gaia-X trust framework, by which customers may verify provid- er’s compliance",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/18e49d1e6c56efb00f43a863c87d147e8598a450a683ab6e0db245b7d4d2af86/data.json, did:web:gaia-x.community/compliance-criterion/87598bf7dd6b23a05698057ab6be23157e8b8d24c7378c6b8d3175c8622a3b88/data.json, did:web:gaia-x.community/compliance-criterion/2624253d7a529bf985b7b3a35f95719f319b220fa76c3f06533162f3743f8b6b/data.json"
               },
               {
                  "name": "Criterion 5.1.1",
                  "description": "For label level 2, the provider shall provide the option that all data are processed and stored exclusively in EU/EEA",
                  "category": "European Control",
                  "value": true,
                  "id": "did:web:gaia-x.community/compliance-criterion/057d78ac024071781452c5552f709c64583ece6ae21333fafc5546dca5feb0ca/data.json"
               },
               {
                  "name": "Criterion 5.1.2",
                  "description": "For label level 3, the provider shall process and store all data exclusively in the EU/EEA.",
                  "category": "European Control",
                  "value": true,
                  "id": "did:web:gaia-x.community/compliance-criterion/31b0d860ba42eb0d3811513412b9a8d75193e7da6055a35674f07ef76670b491/data.json"
               },
               {
                  "name": "Criterion 5.1.3",
                  "description": "For label level 3, where the provider or subcontractor is subject to legal obligations to transmit or disclose data based on a non-EU/EEA statutory order, the provider shall have verified safeguards in place to ensure that any access request is compliant with EU/EEA/Member State law",
                  "category": "European Control",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/301d3ef6cd17e485bcd950d77455be7b0a7076b3a3a5003cda456b6ebe7f00bb/data.json"
               },
               {
                  "name": "Criterion 5.1.4",
                  "description": "For label level 3, the provider’s registered head office, headquarters and main establishment shall be established in a member state of the EU/EEA",
                  "category": "European Control",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/3a9e318924dffa2e95ec12963d0115c561573e58ab014e23b3c7b4d1de3405dc/data.json"
               },
               {
                  "name": "Criterion 5.1.5",
                  "description": "For label level 3, shareholders in the provider, whose registered head office, headquarters, and main establishment are not established in a member state of the EU shall not, directly, or indirectly, individually, or jointly, hold control of the CSP. Control is defined as the ability of a natural or legal person to exercise decisive influence directly or indirectly on the CSP through one or more intermediate entities, de jure or de facto. (cf. Council Regulation No 139/2004 and Commission Consolidated Jurisdictional Notice under Council Regulation (EC) No 139/2004 for illustrations of decisive control)",
                  "category": "European Control",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/59c43276362d0fdb8595843d908e836cf014d5b6cf7f5b6e741328a0d4f6c280/data.json"
               },
               {
                  "name": "Criterion 5.1.6",
                  "description": "For label level 3, in the event of recourse by the provider, in the context of the services provided to the customer, to the services of a third-party company - including a subcontractor - whose registered head office, headquarters and main establishment is outside of the European Union or who is owned or controlled directly or indirectly by another third-party company registered outside the EU/EEA, the third-party company shall have no access over the customer data nor access and identity management for the services provided to the customer. The provider, including any of its sub-processor, shall push back any request received from non-european authorities to obtain communication of personal data relating to european customers, except if request is made in execution of a court judgment or order that is valid and compliant under Union law and applicable member states law as provided by Article 48 GDPR",
                  "category": "European Control",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/abb28b4f3ef86433943e9e97db86bd16bf37b22ad678ca87e1d1b35ff4bb53b3/data.json"
               },
               {
                  "name": "Criterion 5.1.7",
                  "description": "For label level 3, the provider must guarantee continuous autonomy for all or part of the services it provides. The concept of operating autonomy shall be understood as the ability to maintain the provision of the cloud computing service by drawing on the provider’s own skills or by using adequate alternatives",
                  "category": "European Control",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/1a0000d94363c35c14b55fa634781d2d291e0c8ff1cf136ecfc349f555eaa9d9/data.json"
               },
               {
                  "name": "Criterion 5.2.1",
                  "description": "The provider shall not access customer data unless authorised by the customer or when the access is in accordance with EU/EEA/member state law",
                  "category": "European Control",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/bc3a08b25f3e84f6e0bbc06e03b038cc04c9d3eee2a654d956e98f6360e6baa0/data.json, did:web:gaia-x.community/compliance-criterion/0abfed593985167c613f6974a89dc6fdaadfd58e4711cf5c0124d9ee02916597/data.json, did:web:gaia-x.community/compliance-criterion/6816bd4184b995b873719c9bebecc475899289436908181d9c926e6f8458a553/data.json"
               }
         ];
         
         $('#serviceOffering').html("did:web:dufourstorage.provider.gaia-x.community:participant:1225ed1cc7755bc5867413f1ca1cf99eb66d4f7a148e10e346390c4bb302f649/service-offering/023cecdf739d778e339ab4ce5681a966274ce3aaa204ad407b226932d71e541f/data.json");
         //document.getElementById('serviceOffering').innerHTML = JSON.stringify(serviceOfferingJson, undefined, 4);
         $('#federation').val('abc-federation');
         $('#participant').val('dufourstorage');
         $('#questionnaire').html(JSON.stringify(questionnaire, undefined, 4));
         
         function populateCertificateTypes() {
            complianceReferences.forEach(function(e) {
               optionText = e['title'] + " " + e['version'];
               optionValue = e['compliance_ref_did'];
               $('#certificationType').append(
                  `<option value="${optionValue}">
                        ${optionText}
                  </option>`
               );
            });
         }
         populateCertificateTypes();

         function hideAllDivForm() {
            var arr = ['#divFederation', '#divParticipant', '#divCertificationType', '#divPdf', '#divCertificationCredential', '#divServiceOffering', '#divQuestionnaire'];
            arr.forEach((e) => $(e).hide());
         }
         hideAllDivForm();

         function changeRouteType() {
            var x = $('#routeType').val();
            $('#h5route').text(x);
            hideAllDivForm();
            switch(x) {
               case "compliance-certificate-credential":
               var arr = ['#divFederation', '#divParticipant', '#divCertificationType', '#divPdf', '#divCertificationCredential', '#divServiceOffering']
               arr.forEach((e) => $(e).show());
               break;
               
               case "notary-compliance-certificate-credential":
               var arr = ['#divFederation', '#divParticipant', '#divCertificationType', '#divPdf', '#divServiceOffering'];
               arr.forEach((e) => $(e).show());
               break;
               
               case "third-party-compliance-certificate-credential":
               var arr = ['#divFederation', '#divParticipant', '#divCertificationType', '#divCertificationCredential', '#divServiceOffering'];
               arr.forEach((e) => $(e).show());
               break;
               
               case "self-assessed-compliance-criteria-credential":
               var arr = ['#divFederation', '#divParticipant', '#divQuestionnaire', '#divServiceOffering'];
               arr.forEach((e) => $(e).show());
               break;
            }
         }
         
         $('#file').on("change", async (e) => {
            var b64file = await convertBase64( $('#file')[0].files[0] );
            b64file = b64file.split('base64,')[1];
            $('#b64file').text(b64file);
         });

         function getServiceOffering() {
            var so = $('#serviceOffering').val();
            if (so.startsWith("did:web")) 
               return so;
            return JSON.parse(so);
         }

         function getCertificationCredential() {
            var cc = $('#certificationCredential').val();
            if (cc) {
               return JSON.parse(cc);
            }
            else {
               return null;
            }
         }

         const convertBase64 = (file) => {
            return new Promise((resolve, reject) => {
               const fileReader = new FileReader();
               fileReader.readAsDataURL(file);

               fileReader.onload = () => {
                     resolve(fileReader.result);
               };

               fileReader.onerror = (error) => {
                     reject(error);
               };
            });
         };

         $('#sendButton').on("click", function(e) {
            $('#error').text("");
            $('#success').text("Waiting for the notarization...");
            route = $('#routeType').val();
            
            switch(route) {
               case "compliance-certificate-credential":
               var to_url = "/api/vdev/create-" + route;
               var to_data = JSON.stringify({ 
                  "federation": $('#federation').val(),
                  "participant": $('#participant').val(),
                  "certificationType": $('#certificationType').val(),
                  "b64file": $('#b64file').text(),
                  "certificationCredential": getCertificationCredential(),
                  "serviceOffering": getServiceOffering()
               })
               break;
               
               case "notary-compliance-certificate-credential":
               var to_url = "/api/vdev/create-" + route;
               var to_data = JSON.stringify({ 
                  "federation": $('#federation').val(),
                  "participant": $('#participant').val(),
                  "certificationType": $('#certificationType').val(),
                  "b64file": $('#b64file').text(),
                  "serviceOffering": getServiceOffering()
               })
               break;
               
               case "third-party-compliance-certificate-credential":
               var to_url = "/api/vdev/create-" + route;
               var to_data = JSON.stringify({ 
                  "federation": $('#federation').val(),
                  "participant": $('#participant').val(),
                  "certificationType": $('#certificationType').val(),
                  "certificationCredential": getCertificationCredential(),
                  "serviceOffering": getServiceOffering()
               })
               break;
               
               case "self-assessed-compliance-criteria-credential":
               var to_url = "/api/vdev/create-" + route;
               var to_data = JSON.stringify({ 
                  "federation": $('#federation').val(),
                  "participant": $('#participant').val(),
                  "certificationType": $('#certificationType').val(),
                  "questionnaire": JSON.parse($('#questionnaire').val()),
                  "serviceOffering": getServiceOffering()
               })
               break;
            }

            e.preventDefault();
            $.ajax({
               type: "POST",
               url: to_url,
               contentType: "application/json; charset=utf-8",
               data: to_data,
               success: function(result) {
                  console.log(result);
                  var txt = JSON.stringify(result, null, 2);
                  $('#error').text("");
                  $('#success').text(txt);
               },
               error: function(result) {
                  console.log(result);
                  var txt = JSON.stringify(result, null, 2);
                  $('#success').text("");
                  $('#error').text(txt);
               }
            });
         });
      </script>
   </body>
</html>